mutation createLevel(
  $name: String!
  $xpRequired: Int!
  $icon: String
  $colors: Any
) @auth(level: USER) {
  level_insert(
    data: {
      name: $name
      xpRequired: $xpRequired
      icon: $icon
      colors: $colors
    }
  ) 
}

mutation updateLevel(
  $id: UUID!
  $name: String
  $xpRequired: Int
  $icon: String
  $colors: Any
) @auth(level: USER) {
  level_update(
    id: $id
    data: {
      name: $name
      xpRequired: $xpRequired
      icon: $icon
      colors: $colors
    }
  ) 
}

mutation deleteLevel($id: UUID!) @auth(level: USER) {
  level_delete(id: $id) 
}
